Plugin Stripe non compatible SCA

  • Posts: 62
  • Thank you received: 2
  • Hikashop Business Hikashop Essential
6 days 3 hours ago #315632

Bonjour
Nous avons testé les paiements CB avec le plugin Stripe en mode développement.
Tout étant OK, j'ai mis le site en ligne et bien sûr passé Stripe en production avec les bonnes clés de production dans le plugin Stripe.
Quand on fait un paiement réel voici ce que l'on reçoit de la part de Stripe:

***********
Bonjour,
Merci d'avoir choisi Stripe ! Nous vous contactons car nous avons remarqué que votre compte est concerné par une directive européenne appelée l'authentification forte du client (SCA). La SCA exige une authentification à deux facteurs pour de nombreux paiements en Europe. Les paiements non authentifiés pourront être refusés par les banques des clients.
Votre compte a des paiements (comme celui-ci) dans l'environnement de production qui utilisent l'API Charges. Cette API ne prend pas en charge les exigences de la SCA en matière d'authentification. Nous vous recommandons de contacter votre développeur de plugins pour utiliser l'un de nos chemins d'intégration prêts pour la SCA afin d'éviter une hausse des refus de paiements en Europe.
************

Que faire pour mettre à jour le plugin ?
Merci

Please Log in or Create an account to join the conversation.

  • Posts: 68132
  • Thank you received: 10158
  • MODERATOR
5 days 13 hours ago #315650

Bonjour,

Je suppose que vous utilisez le plugin :
github.com/HikaShop/hikashoppayment-stripe
Ce plugin est obsolète.
C'est ce plugin qui support le SCA:
www.hikashop.com/marketplace/product/133...nect-by-obsidev.html

Please Log in or Create an account to join the conversation.

  • Posts: 62
  • Thank you received: 2
  • Hikashop Business Hikashop Essential
5 days 10 hours ago #315659

Non Nicolas je l'ai bien téléchargé depuis votre site et j'ai payé ce plugin d'Obsidev.
Il s'appelle "Hikashop Stripe Connect Payment Plugin" aucune information pour savoir que c'est bien Obsidev ou pas.

Please Log in or Create an account to join the conversation.

  • Posts: 23899
  • Thank you received: 3708
  • MODERATOR
4 days 23 hours ago #315683

Bonjour,

Merci de vérifier la version du plugin qui est installée sur votre site ; vous n'utilisez peut-être pas la dernière version qui support le SCA via le "payment intent".
Lors de la configuration du plugin de paiement (sur la version compatible SCA), vous pouvez sélectionner le "payment interface" et avoir la valeur "Card (3D Secure)". C'est ce mode qui va utiliser le payment intent.

Cordialement,


Jerome - Obsidev.com
HikaMarket & HikaSerial developer / HikaShop core dev team.

Also helping the HikaShop support team when having some time or couldn't sleep.
By the way, do not send me private message, use the "contact us" form instead.

Please Log in or Create an account to join the conversation.

Time to create page: 0.059 seconds
Powered by Kunena Forum